Download it now!
Bug 72491 - EDITING: "Insert> Names> Insert" inserts the range as a formula, generating an error for multi-cell ranges
Summary: EDITING: "Insert> Names> Insert" inserts the range as a formula, generating a...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta2
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.2 target:4.1.6
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-12-08 18:45 UTC by pierre-yves samyn
Modified: 2014-03-06 20:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
InsertNames.ods (spreadsheet with 2 names defined) (7.49 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-12-08 18:45 UTC, pierre-yves samyn
Details
screenshot from 4.0.6 (75.43 KB, image/png)
2013-12-08 19:26 UTC, GerardF
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2013-12-08 18:45:28 UTC
Created attachment 90474 [details]
InsertNames.ods (spreadsheet with 2 names defined)

Hello

Platform: windows 7/64 & Version: 4.2.0.0.beta2
Build ID: 1a27be92e320f97c20d581a69ef1c8b99ea9885d

Same result with Version: 4.1.3.2

"Insert> Names> Insert> Paste (all)" inserts the range as a formula, generating an error for multi-cell ranges.

For example if the range of a name is $Sheet1.$B$1:$B$3 it will be inserted as:
=$Sheet1.$B$1:$B$3

So the cell displays #VALUE.

Insert> Names> Insert is a documentation command. We don't expect the result but the references.

Ranges must be inserted without the = ($Sheet1.$B$1:$B$3 for example)

Steps to reproduce:
1. Open the InsertNames.ods attached
2. Select A5
3. Insert> Names> Insert> Paste all

Actual result: 
In B5: =$Sheet1.$A$1 (display A)
In B6: =$Sheet1.$B$1:$B$3 (display #VALUE)

Exected result:
In B5: $Sheet1.$A$1 
In B6: $Sheet1.$B$1:$B$3 



Regards
Pierre-Yves
Comment 1 GerardF 2013-12-08 19:26:08 UTC
Created attachment 90479 [details]
screenshot from 4.0.6

Confirmed with 4.1.3.2

With 4.0.6 Insert> Names> Insert> Paste all insert the range with = sign but without calculation.
Cell Format is 'Standard'. 
Edit without change displays the range
Edit xith change (insert and remove space): formula is calculated.

Opening the file with 4.1.3.2 after inserting names with 4.0.6 show the ranges without calculation (even with Ctrl+Shift+F9)
Editing the cell leads to the same behavior as 4.0.6
Comment 2 Kohei Yoshida 2014-02-19 03:41:44 UTC
I got this.
Comment 3 Commit Notification 2014-02-19 03:54:50 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=891817922121765cef65ae73ebf7fdc524083d20

fdo#72491: Add test for this.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-02-19 03:55:04 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ca50752c34de4477c696471b707e1b8136e27661

fdo#72491: Always set input as text when that's requested.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Kohei Yoshida 2014-02-19 03:59:08 UTC
Backport requests:

4.2: https://gerrit.libreoffice.org/8122
4.1: https://gerrit.libreoffice.org/8123
Comment 6 Commit Notification 2014-02-19 14:52:20 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=563516fc10f1590a5987606de5444643b1b83747&h=libreoffice-4-2

fdo#72491: Always set input as text when that's requested.


It will be available in LibreOffice 4.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Kohei Yoshida 2014-02-19 15:00:08 UTC
It'll be in 4.2.3 for real.  I'll call this fixed.
Comment 8 Commit Notification 2014-02-21 12:50:14 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50b46373b06545b81c68efc9f183cc5670c8517a&h=libreoffice-4-2-2

fdo#72491: Always set input as text when that's requested.


It will be available already in LibreOffice 4.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 pierre-yves samyn 2014-02-22 07:27:58 UTC
Hello

WORKSFORME on windows 7/64 with
Version: 4.2.3.0.0+
Build ID: 5fd90cdd1fdb20ab7f6a2b67c384f0994f09a86b
TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-02-21_22:38:15

Thank you :)

Regards
Pierre-Yves
Comment 10 Commit Notification 2014-03-06 20:52:20 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=016a231ef0a6bfb3c4b74a0e6d6d7431f42755c1&h=libreoffice-4-1

fdo#72491: Always set input as text when that's requested.


It will be available in LibreOffice 4.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.